# 32/64bit spec-file
#
%define version 0.14.8
%define release %mkrel 1

%define api	0.14
%define major 	0
%define libname %mklibname gcu %api %major
%define libgchempaint %mklibname gchempaint %api %major
%define goffice_ver 0.10
%define gnumeric_ver 1.12

Summary:	Backend for Gnome chemistry applications
Name:		gnome-chemistry-utils
Version:	%{version}
Release:	%{release}
License:	LGPLv2+
Group:		Sciences/Chemistry
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://www.nongnu.org/gchemutils/
Source0:	http://download.savannah.nongnu.org/releases/gchemutils/%api/%{name}-%version.tar.xz
BuildRequires:	libglade2.0-devel
BuildRequires:	libgtkglext-devel
BuildRequires:  gnumeric-devel
BuildRequires:	goffice-devel
BuildRequires:	openbabel-devel >= 2.3.2
BuildRequires:	libgnomeui2-devel
BuildRequires:	libgnomeprintui2-2-devel
BuildRequires:	gtk-doc
BuildRequires:  perl-XML-Parser
BuildRequires:  intltool
BuildRequires:  chemical-mime-data
BuildRequires:	bodr
BuildRequires:	gnome-doc-utils
BuildRequires:	chrpath
Provides:	gcu = %{version}-%{release}
Provides:	gchemutils = %{version}-%{release}
Obsoletes:	gcu < %{version}-%{release}
Obsoletes:	gchemutils < %{version}-%{release}
Obsoletes: 	%name < %version
Obsoletes:	libgcu0
Obsoletes:	libgcu0-devel

%description
The Gnome Chemistry Utils provide C++ classes and GTK2 widgets related to
chemistry.  They are currently used in Gnome Crystal (gcrystal) and Gnome
Chemistry Paint (gchempaint).

%files 
%defattr(-, root, root)
%doc README ChangeLog NEWS AUTHORS
%dir %_libdir/gchemutils
%dir %_libdir/gchemutils/%{api}
%dir %_libdir/gchemutils/%{api}/plugins
%_libdir/gchemutils/%{api}/plugins/cdx
%_libdir/gchemutils/%{api}/plugins/cdxml
%dir %_datadir/gchemutils
%dir %_datadir/gchemutils/%{api}
%_datadir/gchemutils/%{api}/*.xml
%_libdir/babelserver
%dir %_datadir/gchemutils/%{api}/pixmaps
%_datadir/mime/packages/*.xml
%_libdir/libgcu-%{api}.so.%{major}*
%_libdir/libgccv-%{api}.so.%{major}*
%_libdir/libgcp-%{api}.so.%{major}*
%_libdir/libgcrystal-%{api}.so.%{major}*
%_libdir/libgcugtk-%{api}.so.%{major}*
%_libdir/gchemutils/%{api}/plugins/cif/cif.so
%_libdir/gchemutils/%{api}/plugins/cif/plugin.xml
%_libdir/gchemutils/%{api}/plugins/cml/cml.so
%_libdir/gchemutils/%{api}/plugins/cml/plugin.xml
%_libdir/gchemutils/%{api}/plugins/nuts/nuts.so
%_libdir/gchemutils/%{api}/plugins/nuts/plugin.xml
%_datadir/gchemutils/%{api}/ui/*
%_bindir/gchempaint*
%_libdir/gchemutils/%{api}/plugins/paint
%_datadir/applications/gchempaint*.desktop
%_datadir/gchemutils/%{api}/paint
%_datadir/gchemutils/%{api}/pixmaps/gchempaint_logo.png
%_datadir/gnome/help/gchempaint-%{api}
%_datadir/icons/*.svg
%_mandir/man1/gchempaint.*
%_datadir/omf/gchempaint-%{api}/gchempaint-%{api}-C.omf
%_bindir/gchem3d*
%_datadir/applications/gchem3d*.desktop
%_datadir/gnome/help/gchem3d-%{api}
%_datadir/glib-2.0/schemas/*
%_mandir/man1/gchem3d.*
%_datadir/omf/gchem3d-%{api}/gchem3d-%{api}-C.omf
%_bindir/gchemcalc*
%_datadir/applications/gchemcalc*.desktop
%_datadir/gnome/help/gchemcalc-%{api}
%_datadir/icons/hicolor/scalable/apps/*.svg
%_datadir/icons/hicolor/scalable/mimetypes/*.svg
%_mandir/man1/gchemcalc.*
%_datadir/omf/gchemcalc-%{api}/gchemcalc-%{api}-C.omf
%_bindir/gchemtable*
%_datadir/applications/gchemtable*.desktop
%_datadir/gnome/help/gchemtable-%{api}
%_mandir/man1/gchemtable.*
%_datadir/omf/gchemtable-%{api}/gchemtable-%{api}-C.omf
%_bindir/gcrystal*
%_datadir/gchemutils/%{api}/pixmaps/gcrystal_logo.png
%_datadir/applications/gcrystal*.desktop
%_datadir/gnome/help/gcrystal-%{api}
%_mandir/man1/gcrystal.*
%_datadir/omf/gcrystal-%{api}/gcrystal-%{api}-C.omf
%_bindir/gspectrum*
%_datadir/applications/gspectrum*.desktop
%_datadir/gnome/help/gspectrum-%{api}
%_mandir/man1/gspectrum.*
%_datadir/omf/gspectrum-%{api}/gspectrum-%{api}-C.omf
%_libdir/goffice/%{goffice_ver}/plugins/gchemutils/gchemutils.so
%_libdir/goffice/%{goffice_ver}/plugins/gchemutils/plugin.xml
%_libdir/gnumeric/%{gnumeric_ver}/plugins/gchemutils/*
%{_iconsdir}/*.png

%package i10n
Summary:	Internationalization files for %{name}
Group:		System/Internationalization
Requires:	%name = %version
Obsoletes:	%{name}-i18n < %version

%description i10n
Internationalization files for %{name}

%files i10n
%defattr(-,root,root,-)
%{_datadir}/locale/*


#--------------------------------------------------------------------

%package	devel
Summary:	Development related files of %{name}
Group:		Development/Libraries
Requires:	%{name}
Provides:	gcu-devel = %{version}-%{release}
Provides:	gchemutils-devel = %{version}-%{release}
Provides:	gchempaint-devel = %{version}-%{release}

%description	devel
The Gnome Chemistry Utils provide C++ classes and GTK2 widgets related to
chemistry.  They are currently used in Gnome Crystal (gcrystal) and Gnome
Chemistry Paint (gchempaint).

This package includes the header files and static libraries necessary for
developing chemistry related programs using %{name}.

%files devel
%defattr(-, root, root)
%doc docs/reference
%_libdir/*.so

#--------------------------------------------------------------------

%prep
%setup -q

%build

%configure2_5x \
	--enable-static=no --disable-update-databases \
	--disable-mozilla-plugin --disable-scrollkeeper \
        --without-kde-mime-dir

make -j1


%install
rm -rf %{buildroot}
%makeinstall_std HTMLDIR=`pwd`/reference/html


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Sciences-Chemistry" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*.desktop

install -d -m755 $RPM_BUILD_ROOT%{_iconsdir}

install -m 644 pixmaps/gspectrum.svg $RPM_BUILD_ROOT%{_iconsdir}/gspectrum.svg
install -m 644 pixmaps/gcrystal_logo.png $RPM_BUILD_ROOT%{_iconsdir}/gcrystal.png
install -m 644 pixmaps/gchemtable.svg $RPM_BUILD_ROOT%{_iconsdir}/gchemtable.svg
install -m 644 pixmaps/gchempaint_logo.png $RPM_BUILD_ROOT%{_iconsdir}/gchempaint.png
install -m 644 pixmaps/gchemcalc.svg $RPM_BUILD_ROOT%{_iconsdir}/gchemcalc.svg
install -m 644 pixmaps/gchem3d.svg $RPM_BUILD_ROOT%{_iconsdir}/gchem3d.svg

#kill intrusive docs
rm -rf $RPM_BUILD_ROOT%{_docdir}/gchemutils

#kill libtool archives
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

#kill rpaths
chrpath --delete  %{buildroot}%{_bindir}/*
chrpath --delete  %{buildroot}%{_libdir}/goffice/*/plugins/gchemutils/gchemutils.so
chrpath --delete  %{buildroot}%{_libdir}/*.so.*




%find_lang gchemutils-%{api}

%clean
rm -rf %{buildroot}

%post
glib-compile-schemas %{_datadir}/glib-2.0/schemas
%{update_menus}
/sbin/ldconfig 


%postun
glib-compile-schemas %{_datadir}/glib-2.0/schemas
%{clean_menus}
/sbin/ldconfig 

%changelog
* Sun Jun 29 2014 bb <bb> 0.14.8-1pclos2014
- update

* Wed Jun 25 2014 bb <bb> 0.14.7-6pclos2014
- rebuild new goffice

* Tue Jun 03 2014 bb <bb> 0.14.7-5pclos2014
- rebuild new goffice

